Tekla Open API

Detailed and full API reference helps you master Tekla Open API

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

RadiusDimensionAttributes Class

The RadiusDimensionAttributes class contains attributes to manage all the attributes of a straight dimension.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2018.1.0.0 (2018.1.0.0)
Syntax
[SerializableAttribute]
public class RadiusDimensionAttributes : DimensionSetBaseAttributes

The RadiusDimensionAttributes type exposes the following members.

Constructors
  Name Description
Public method RadiusDimensionAttributes
Creates a new radius dimension attributes instance which loads standard attributes.
Public method RadiusDimensionAttributes(String)
Creates a new radius dimension attributes instance that loads the specified attributes.
Top
Properties
  Name Description
Public property Arrowhead
The arrowhead attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.)
Public property Color
The color of the dimension line.
(Inherited from DimensionSetBaseAttributes.)
Public property Format
The format attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.)
Public property Placing
The placing attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.)
Public property Text
The text attributes of the dimension.
(Inherited from DimensionSetBaseAttributes.)
Public property TransparentBackground
The dimension text background transparency. (transparent/opaque)
(Inherited from DimensionSetBaseAttributes.)
Top
Methods
  Name Description
Public method IsEqual
Compares the current object with an object of the same type.
(Overrides AttributesBaseIsEqual(Object).)
Public method LoadAttributes
Loads attributes from the specified attribute file.
(Overrides AttributesBaseLoadAttributes(String).)
Top
Examples
using Tekla.Structures.Drawing;

public class Example
{
       public void Example1()
       {
           RadiusDimensionAttributes attributes = new RadiusDimensionAttributes("MyAttributes");
       }
}
See Also